datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaHumanv1 <- function() showQCData("illuminaHumanv1", datacache)
illuminaHumanv1_dbconn <- function() dbconn(datacache)
illuminaHumanv1_dbfile <- function() dbfile(datacache)
illuminaHumanv1_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaHumanv1_dbInfo <- function() dbInfo(datacache)

illuminaHumanv1ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaHumanv1.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("illuminaHumanv1", "chip illuminaHumanv1", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaHumanv1_dbconn())
}

